=== debian/changelog ===
libvirt (6.9.0-1+rpi1) bullseye-staging; urgency=medium

  * Disable testsuite

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 19 Nov 2020 22:35:15 +0000

libvirt (6.9.0-1) unstable; urgency=medium

  * Team upload

  * [9328bc8] New upstream version 6.9.0
  * [88c8a9e] patches: Drop backport/rpc-Fix-virt-ssh-helper-detection.patch

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 08 Nov 2020 15:33:59 +0100

libvirt (6.8.0-1) unstable; urgency=medium

  * Team upload

  * [a09e8f2] New upstream version 6.8.0
  * [11671ad] patches: Drop backport/[...]gluster-module-dep.patch
  * [d4522ee] patches: Add backport/rpc-Fix-virt-ssh-helper-detection.patch
  * [1012105] libvirt-daemon: Install virt-ssh-helper
  * [1070367] control: Drop Build-Depends on netcat-openbsd
  * [509eb72] control: Drop Build-Depends on libdbus-1-dev

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 28 Oct 2020 01:08:23 +0100

libvirt (6.7.0-3) experimental; urgency=medium

  * Team upload

  * [2a7b4f4] rules: Decrease timeout for tests to 5m
  * [6337ea2] rules: Make dh_missing errors non-fatal for -indep builds

 -- Andrea Bolognani <eof@kiyuko.org>  Sun, 11 Oct 2020 16:29:18 +0200

libvirt (6.7.0-2) experimental; urgency=medium

  * [7b7ff73] patches: Add backport/[...]gluster-module-dep.patch
  * [a9cc391] debhelper: Use compat level 13
  * [b327f9a] rules: Increase timeout for tests to 15m

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 10 Sep 2020 18:29:25 +0200

libvirt (6.7.0-1) experimental; urgency=medium

  * Team upload

  * [0d7a347] New upstream version 6.7.0
  * [c6306e9] patches: Drop obsolete patches
    The following patches are no longer necessary:
    - backport/apparmor-allow-default-pki-path.patch
    - backport/apparmor-allow-libvirtd-to-call-pygrub.patch
    - backport/apparmor-allow-libvirtd-to-call-virtiofsd.patch
    - backport/tools-fix-libvirt-guests.sh-text-assignments.patch
    - backport/virdevmapper-Don-t-cache-device-mapper-major.patch
    - backport/virdevmapper-Handle-kernel-without-device-mapper-support.patch
    - backport/virdevmapper-Ignore-all-errors-when-opening-dev-mapper-co.patch
    - debian/Prefer-sbin-over-usr-sbin.patch
  * [72f7997] patches: Rewrite build system patches
    The following patches have been rewritten:
    - debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch
    - debian/Set-defaults-for-zfs-tools.patch
  * [37e7b80] patches: Add debian/Use-sensible-editor-by-default.patch
    Replaces use of the removed --with-default-editor configure option
  * [c326ac4] control: Add Build-Depends on meson

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 01 Sep 2020 23:26:23 +0200

libvirt (6.6.0-2) unstable; urgency=medium

  * Team upload

  [ Christian Ehrhardt ]
  * fix libvirt-lxc that was broken by libtirpc linking issues (LP: #1892826)
    - [92acaf6] add d/p/debian/Revert-m4-virt-xdr-rewrite-XDR-check.patch
    - [90093c0] Revert "control: Add Build-Depends on libtirpc-dev"
  * [c12faf1] replace patches for pki and pygrub with clean upstream backports
  * [6377d90] apparmor: allow libvirtd to call virtiofsd (LP: #1892736)

 -- Andrea Bolognani <eof@kiyuko.org>  Fri, 28 Aug 2020 17:18:51 +0200
