=== debian/control ===
Source: libvirt
Section: libs
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Laurent Léonard <laurent@open-minds.org>,
Build-Depends:
 augeas-tools,
 bash-completion,
 debhelper-compat (= 13),
 dh-apparmor [linux-any],
 dnsmasq-base,
 iptables (>= 1.8.1) [linux-any],
 kmod [linux-any],
 libapparmor-dev [linux-any],
 libattr1-dev [linux-any],
 libaudit-dev [linux-any],
 libcap-ng-dev [linux-any],
 libcurl4-gnutls-dev,
 libdevmapper-dev [linux-any],
 libfuse-dev [linux-any],
 libgcrypt20-dev,
 libglusterfs-dev [linux-any],
 libgnutls28-dev,
 libnetcf-dev (>= 1:0.2.3-3~) [linux-any],
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnuma-dev [linux-any],
 libparted-dev (>= 2.2),
 libpcap0.8-dev,
 libpciaccess-dev,
 libpolkit-gobject-1-dev [linux-any],
 librados-dev [linux-any],
 librbd-dev [linux-any],
 libreadline-dev,
 libsanlock-dev [linux-any],
 libsasl2-dev,
 libselinux1-dev (>= 2.0.82) [linux-any],
 libssh2-1-dev,
 libudev-dev [linux-any],
 libwireshark-dev (>= 1.11.3),
 libwiretap-dev,
 libxen-dev (>= 4.3) [i386 amd64 armhf arm64],
 libxml2-dev (>= 2.9.2+really2.9.1+dfsg1-0.2),
 libxml2-utils,
 libyajl-dev,
 lvm2 [linux-any],
 meson (>= 0.54.0~),
 nfs-common,
 numad [linux-any],
 open-iscsi [linux-any],
 openssh-client,
 parted (>= 2.2),
 po-debconf,
 policykit-1 (>= 0.105-4~) [linux-any],
 python3,
 python3-docutils,
 qemu-system-common,
 qemu-utils,
 radvd [linux-any],
 systemtap-sdt-dev [linux-any],
 uuid-dev,
 xsltproc,
 zfsutils [kfreebsd-amd64 kfreebsd-i386],
 zlib1g-dev,
Build-Conflicts:
 dpkg-dev (= 1.15.3),
Vcs-Git: https://salsa.debian.org/libvirt-team/libvirt.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/libvirt
Homepage: https://libvirt.org/
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: libvirt-clients
Section: admin
Architecture: any
Depends:
 libvirt0 (= ${binary:Version}),
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libvirt-daemon,
Description: Programs for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirt shell virsh and other client binaries.

Package: libvirt-daemon
Section: admin
Architecture: any
Depends:
 libvirt-daemon-driver-qemu,
 libvirt0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libvirt-daemon-driver-lxc,
 libvirt-daemon-driver-vbox,
 libvirt-daemon-driver-xen,
 libxml2-utils,
 netcat-openbsd,
 qemu-kvm | qemu (>= 0.9.1),
Suggests:
 libvirt-daemon-driver-storage-gluster,
 libvirt-daemon-driver-storage-rbd,
 libvirt-daemon-driver-storage-zfs,
 libvirt-daemon-system,
 numad,
Enhances:
 qemu,
 qemu-kvm,
 xen,
Description: Virtualization daemon
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the daemon libvirtd to manage the hypervisors.

Package: libvirt-daemon-driver-qemu
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon QEMU connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for QEMU.

Package: libvirt-daemon-driver-lxc
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon LXC connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for LXC.

Package: libvirt-daemon-driver-vbox
Section: admin
Architecture: amd64 i386
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon VirtualBox connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for VirtualBox.

Package: libvirt-daemon-driver-xen
Section: admin
Architecture: amd64 arm64 armhf i386
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 6.0.0-1~),
Replaces:
 libvirt-daemon (<< 6.0.0-1~),
Description: Virtualization daemon Xen connection driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd connection driver for Xen.

Package: libvirt-daemon-driver-storage-gluster
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 3.7.0-3~),
Replaces:
 libvirt-daemon (<< 3.7.0-3~),
Description: Virtualization daemon glusterfs storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for GlusterFS.

Package: libvirt-daemon-driver-storage-rbd
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 3.7.0-3~),
Replaces:
 libvirt-daemon (<< 3.7.0-3~),
Description: Virtualization daemon RBD storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for RBD/Rados/Ceph.

Package: libvirt-daemon-driver-storage-zfs
Section: admin
Architecture: linux-any
Depends:
 libvirt-daemon (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon (<< 3.7.0-3~),
Replaces:
 libvirt-daemon (<< 3.7.0-3~),
Description: Virtualization daemon ZFS storage driver
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the libvirtd storage driver for ZFS.

Package: libvirt-daemon-system
Section: admin
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 gettext-base,
 iptables (>= 1.8.1-1) [linux-any] | firewalld,
 libvirt-clients (= ${binary:Version}),
 libvirt-daemon (= ${binary:Version}),
 libvirt-daemon-system-systemd | libvirt-daemon-system-sysv,
 logrotate,
 policykit-1 [linux-any],
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dmidecode,
 dnsmasq-base (>= 2.46-1),
 iproute2,
 mdevctl,
 parted,
Suggests:
 apparmor,
 auditd,
 nfs-common,
 open-iscsi [linux-any],
 pm-utils,
 radvd,
 systemd,
 systemtap,
 zfsutils,
Breaks:
 systemd-sysv (<< 224-1~),
Description: Libvirt daemon configuration files
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the configuration files to run the libvirt daemon as a
 system service.

Package: libvirt-daemon-system-systemd
Section: admin
Architecture: any
Depends:
 systemd-container,
 systemd-sysv,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 libvirt-daemon-system-sysv,
Description: Libvirt daemon configuration files (systemd)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the dependencies to make libvirt work with systemd.
 (this is the default). This package is useless without the
 libvirt-daemon-system package installed.

Package: libvirt-daemon-system-sysv
Section: admin
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 lsb-base,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libvirt-daemon-system (<< 5.6.0-4~),
Replaces:
 libvirt-daemon-system (<< 5.6.0-4~),
Description: Libvirt daemon configuration files (sysv)
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains dependencies and init scripts to make libvirt work with
 sysv based init systems. Using libvirt-daemon-systemd is preferred since the
 init scripts are incomplete.
 .
 This package is useless without the libvirt-daemon-system package installed.

Package: libvirt0
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lvm2 [linux-any],
Breaks:
 libvirt-daemon (<< 4.10.0-2~),
 selinux-policy-default (<< 2:2.20131214-1~),
 selinux-policy-mls (<< 2:2.20131214-1~),
Replaces:
 libvirt-daemon (<< 4.10.0-2~),
Description: library for interfacing with different virtualization systems
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.

Package: libvirt-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: documentation for the libvirt library
 Libvirt is a C toolkit to interact with the virtualization capabilities
 of recent versions of Linux (and other OSes). The library aims at providing
 a long term stable C API for different virtualization mechanisms. It currently
 supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
 .
 This package contains the documentation.

Package: libvirt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libvirt0 (= ${binary:Version}),
 libxen-dev [i386 amd64 armhf arm64],
 ${misc:Depends},
Recommends:
 pkg-config,
